DCMTK - Bug #653

Use EWM_createNewMeta as the default for saveFile() and write() method?
2015-08-10 18:51 - J6rg Riesmeier

Status: Closed Start date: 2015-08-10
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Library Estimated time: 0:00 hour
Target version: 3.6.6

Module: dcmdata Compiler:

Operating System:

Description
It seems to be a bad idea to update the file meta information only (when writing a DICOM file, which was read from file).

See: https://groups.google.com/d/msg/comp.protocols.dicom/gGFooa7b7xE/2a6gTBRIBgAJ

Also DcmFileFormat::checkMetaHeaderValue() does not modify element values if the VR is incorrect... this code also needs some
revision.

Related issues:
Copied to DCMTK - Bug #937: Revise DcmFileFormat::checkMetaHeaderValue() New 2020-07-10

History

#1 - 2015-08-10 19:54 - Jorg Riesmeier
- Description updated

#2 - 2017-03-24 12:49 - Marco Eichelberg
- Target version changed from 3.6.2 to 3.6.3

#3 - 2017-12-07 11:51 - Marco Eichelberg
- Target version changed from 3.6.3 to 3.6.6

#4 - 2020-05-25 13:28 - Michael Onken
- Target version deleted (3.6.6)

#5 - 2020-05-25 13:42 - Michael Onken

- Target version set to 3.6.6

#6 - 2020-07-09 16:08 - Michael Onken

- Status changed from New to Closed

Closed by commit #d31f92

#7 - 2020-07-09 16:37 - Michael Onken
- % Done changed from 0 to 100

#8 - 2020-07-10 12:48 - Jorg Riesmeier
- Copied to Bug #937: Revise DcmFileFormat::checkMetaHeaderValue() added
